// ComInitializer.h

#pragma once


class CComInitializer
{
public:
    CComInitializer()
    {
        HRESULT hr = ::CoInitialize(NULL);
        if (FAILED(hr))
            throw CHypervisorException("COM initialization failed", hr);
    }

    ~CComInitializer()
    {
        ::CoUninitialize();
    }
};
