// EnumHyperVVMs.cpp

#include "StdAfx.h"
#include "EnumHyperVVMs.h"


bool CEnumHyperVVMs::NextID(CStringW &vmID)
{
    try
    {
        if (m_VmIndex >= m_VmIDs.size())
            return false;

        vmID = m_VmIDs[m_VmIndex];
        ++m_VmIndex;
        return true;
    }
    catch (const CAtlException &e)
    {
        throw CHypervisorException(e);
    }
}

void CEnumHyperVVMs::Reset()
{
    m_VmIndex = 0;
}

CEnumHyperVVMs::CEnumHyperVVMs():
    m_VmIndex(0)
{
}

void CEnumHyperVVMs::AddVM(BSTR pVmID)
{
    m_VmIDs.push_back(pVmID);
}
