// EnumHyperVVMs.h

#pragma once

#include "Interfaces.h"


class CEnumHyperVVMs: public IEnumVirtualMachines
{
    friend class CHyperV;

public:
    virtual bool NextID(CStringW &vmID);
    virtual void Reset();

private:
    CEnumHyperVVMs();
    void AddVM(BSTR pVmID);

private:
    std::vector<CStringW> m_VmIDs;
    size_t m_VmIndex;
};
