// HyperV.h

#pragma once

#include "Interfaces.h"


struct IWbemServices;

class CHyperV: public IHypervisor
{
public:
    CHyperV();

    virtual void Connect(
        PCWSTR pServer,
        PCWSTR pDomain,
        PCWSTR pUser,
        PCWSTR pPassword);

    virtual void Disconnect();

    virtual IVirtualMachine* GetVirtualMachine(PCWSTR pVmID);

    virtual IEnumVirtualMachines* EnumVirtualMachines();

private:
    CComPtr<IWbemServices> m_pWbemServices;
};
