// HypervisorException.h

#pragma once

class CHypervisorException: public std::exception
{
public:
    CHypervisorException();
    explicit CHypervisorException(const char *pErrorText, DWORD errorCode = NO_ERROR);
    explicit CHypervisorException(const CAtlException &e);

    DWORD GetWinError() const
    {
        return m_WinErrorCode;
    }

    CString GetWinMessage() const;

public:
    DWORD m_WinErrorCode;
};
